Show/Hide Toolbars

Jim2® Business Engine Help File

Navigation: Getting Started with Jim2

Technical Requirements

Scroll Prev Top Next More

These technical requirements relate to Jim2 Business Engine on premises version.

 

warning1

Note: Jim2 v4.5 does not support Windows 8 and below. Windows 11 is recommended.

 

Please see Jim2.Cloud Technical Requirements for Jim2.Cloud..

 

hmtoggle_arrow0   Server requirements

 

hmtoggle_arrow0   Workstation requirements

 

 

 

 

 

hmtoggle_arrow0   Peripherals

 

 

 

 

Further information

Jim2.Cloud Technical Requirements